Summary:        A set of default configuration for LXDE
Name:           lxde-common
Version:        0.99.2
Release:        %mkrel 1
BuildArch:      noarch
License:        GPLv2+
Group:          Graphical desktop/Other
Source0:        http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
Source1:        hide-desktop-file.sh
Patch102:       %{name}-0.5.5-add-mcc-to-panel.patch
Patch103:       %{name}-0.99.2-mga-lxpanel-customization.patch
Patch106:       %{name}-0.5.5-default-theme.patch
Patch107:       %{name}-0.99.2-mga-copy-pcmanfm-conf-file.patch
# This patch adds mageia specific .desktop files to desktop
# and should fix mga#5941
Patch108:       %{name}-0.5.6-add-mageia-desktop-icons.patch
Patch109:       %{name}-0.5.6-mga-add-lxpanel-config.patch
Patch110:       %{name}-0.99.1-mga-make-lxde-logout-visible-for-lxpanel.patch
Patch111:       %{name}-0.5.6-mga-correct-pcmanfm-conf-path.patch
Patch114:       %{name}-0.99.0-mga-lxde-screenlock-visibility.patch
Patch115:       %{name}-0.99.2-mga-set-default-wallpaper.patch
Patch116:       %{name}-0.99.0-mga-correct-autostart-script.patch
Patch117:       %{name}-0.99.0-mga-kill-remaining-processes-on-logout.patch
Patch118:       %{name}-0.99.2-mga-use-desktop-common-data-menu.patch
Patch120:       %{name}-0.99.2-mga-add-script-hiding-desktop-files.patch
Patch122:       %{name}-0.99.0-mga-force-reloading-kb-conf.patch
Patch123:       %{name}-0.99.1-mga-migration-from-previous-versions.patch
URL:            http://www.lxde.org
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  intltool
Requires:       openbox
Requires:       lxpanel
Requires:       lxsession >= 0.4.1
Requires:       pcmanfm >= 0.9.8
Requires:       lxterminal
Requires:       lxde-icon-theme
Requires:       mageia-lxde-config >= 0.5
Requires:       notification-daemon
Requires:       libnotify
# Use register.desktop from desktop-common-data package (mga#12667)
Requires:       desktop-common-data
# Requirement for hide-desktop-file.sh
Requires:       desktop-file-utils
Recommends:     xscreensaver

Requires(post): mageia-theme
Conflicts:	desktop-common-data < 1:3.10-2

%description
This package provides a set of default configuration for LXDE.

%prep
%setup -q
%patch102 -p1
%patch103 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch120 -p1
%patch122 -p1
%patch123 -p1

%build
%configure2_5x --enable-man
%make

%install
%makeinstall_std

# we do not need this file
rm -f %{buildroot}%{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf

# pcmanfm package brings the only pcmanfm.conf that we should use
# patch correct-pcmanfm-conf-path make startlxde use it
rm %{buildroot}%{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf

# add a script to hide a desktop file because of bug mga#14059
install -m755 %{SOURCE1} %{buildroot}%{_bindir}
ln -s hide-desktop-file.sh %{buildroot}%{_bindir}/show-desktop-file.sh

%posttrans
if [ "$1" -eq 1 ]; then
	if [ -e %{_datadir}/xsessions/04LXDE.desktop ]; then
		rm -rf %{_datadir}/xsessions/04LXDE.desktop
	fi
fi

%files
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%{_sysconfdir}/xdg/*
%{_bindir}/*
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-screenlock.desktop
%{_datadir}/lxde
%{_datadir}/xsessions/LXDE.desktop
%{_mandir}/man1/*


%changelog
* Tue Nov 22 2016 ns80 <ns80> 0.99.2-1.mga6
+ Revision: 1068700
- new version 0.99.2:
  * rediff some patches
  * remove a patch that is now in upstream

* Fri Nov 04 2016 ns80 <ns80> 0.99.1-13.mga6
+ Revision: 1065265
- add audio keys in the configuration of the volume plugin

* Fri Oct 28 2016 ns80 <ns80> 0.99.1-12.mga6
+ Revision: 1063809
- finish transition from volumealsa plugin to volume plugin

* Tue Oct 18 2016 ns80 <ns80> 0.99.1-11.mga6
+ Revision: 1061534
- the plugin volumealsa is replaced by volume

* Thu Jul 21 2016 ns80 <ns80> 0.99.1-10.mga6
+ Revision: 1042976
- correct source paths in patch add-lxpanel-config

* Thu Jul 21 2016 ns80 <ns80> 0.99.1-9.mga6
+ Revision: 1042972
- comment patch migration-from-previous-versions

* Sun Jun 19 2016 ns80 <ns80> 0.99.1-8.mga6
+ Revision: 1036842
- make mageia logo detection safer

* Tue Jun 07 2016 ns80 <ns80> 0.99.1-7.mga6
+ Revision: 1020553
- Correct patch migration-from-previous-versions to launch once

* Tue Jun 07 2016 ns80 <ns80> 0.99.1-6.mga6
+ Revision: 1020530
- Add font size check to patch migration-from-previous-versions

* Tue May 31 2016 ns80 <ns80> 0.99.1-5.mga6
+ Revision: 1019583
- Correct patch migration-from-previous-versions so that a user can have no trash on the desktop

* Mon May 30 2016 ns80 <ns80> 0.99.1-4.mga6
+ Revision: 1019381
- Correct patch add-mageia-desktop-icons by removing installation of an icon that does not exist anymore
- Add patch migration-from-previous-versions that automates the migration of users' configuration

* Sun May 29 2016 ns80 <ns80> 0.99.1-3.mga6
+ Revision: 1019346
- use new mageia-menu.svg icon for LXDE menu

* Mon Feb 22 2016 ns80 <ns80> 0.99.1-2.mga6
+ Revision: 975987
- remove lxmenu-data requirement as the solution for mga#16753 also solves mga#16282

* Sun Feb 21 2016 ns80 <ns80> 0.99.1-1.mga6
+ Revision: 975343
- new version 0.99.1
- rediff patch make-lxde-logout-visible-for-lxpanel

* Tue Feb 09 2016 ns80 <ns80> 0.99.0-14.mga6
+ Revision: 952800
- Add patch force-reloading-kb-conf (mga#14622)

* Wed Jan 06 2016 ns80 <ns80> 0.99.0-13.mga6
+ Revision: 920031
- Add patch force-creation-of-directory-for-user-desktop-files (mga#17456)

* Mon Nov 16 2015 ns80 <ns80> 0.99.0-12.mga6
+ Revision: 903508
- remove patch force-menu-cache-regeneration-on-login as upstream provides a
  patch for menu-cache solving bug mga#15871

* Sat Sep 26 2015 wally <wally> 0.99.0-11.mga6
+ Revision: 884003
- conflict with old desktop-common-data with fndSession
- use upstream provided xsession .desktop file

* Fri Jul 03 2015 ns80 <ns80> 0.99.0-10.mga6
+ Revision: 849727
- Add lxmenu-data requirement to solve bug mga#16282

* Fri May 08 2015 ns80 <ns80> 0.99.0-9.mga5
+ Revision: 821439
- Provide a solution for bug mga#15871 with patch force-menu-cache-regeneration-on-login

* Mon May 04 2015 ns80 <ns80> 0.99.0-8.mga5
+ Revision: 821215
- Update patch kill-remaining-processes-on-logout to offer a more robust
  solution to bug mga#8209

* Fri Apr 24 2015 ns80 <ns80> 0.99.0-7.mga5
+ Revision: 820689
- Drop patches hide-desktop-file and kill-pulseaudio-on-logout
- Add patch kill-remaining-processes-on-logout to try to correct bug mga#8209

* Thu Mar 05 2015 ns80 <ns80> 0.99.0-6.mga5
+ Revision: 817761
- Remove lxmenu-data requirement as menu-cache was patched to work with applications.menu
- Remove mylxpanel.sh to launch lxpanel without 'setxkbmap -option' as it causes more problems than it solves (mga#14622)

* Fri Jan 30 2015 akien <akien> 0.99.0-5.mga5
+ Revision: 812767
- Merge the three autostart patches into one (ns80)
- Add a mylxpanel.sh script to make sure lxpanel is launched when setxkbmap -option is finished (mga#14622, ns80)

* Tue Jan 27 2015 akien <akien> 0.99.0-4.mga5
+ Revision: 812434
- Use patches instead of install time file tweaks (ns80)
- Add a patch to (partly) fix the autologin problems (mga#14622, ns80)

* Thu Dec 04 2014 alexl <alexl> 0.99.0-3.mga5
+ Revision: 801511
- correct lxde-screenlock visibility on certain conditions (mga#14636)

* Tue Nov 11 2014 alexl <alexl> 0.99.0-2.mga5
+ Revision: 796486
- minimal size for xkb plugin

* Tue Nov 04 2014 alexl <alexl> 0.99.0-1.mga5
+ Revision: 795480
- add intltool buildrequires
- fix installation for lxde-logout.desktop
- version 0.99.0 (mga#14420)
- add copy-pcmanfm-conf-file.patch
- rediff make-lxde-logout-visible-for-lxpanel.patch
- add lxmenu-data requirement

* Thu Oct 23 2014 alexl <alexl> 0.5.6-5.mga5
+ Revision: 792797
- rename home.desktop to org.lxde.home.desktop
- rename trash.desktop to org.lxde.trash.desktop
- update hide-desktop-file.sh and add desktop-file-utils to requires (mga#14059)
- add script to hide/show dolphin desktop file (mga#14059)
- fix for mga#4391 is not needed now
- add lxpanel config
- correct pcmanfm conf path
- kill pulseaudio when exiting LXDE because lxpanel cannot be launched when pulseaudio is already running with another user
- make lxde logout visible for lxpanel

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-4.mga5
+ Revision: 750966
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-3.mga5
+ Revision: 682066
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Sep 05 2014 fwang <fwang> 0.5.6-2.mga5
+ Revision: 672305
- build noarch package now

* Fri Sep 05 2014 fwang <fwang> 0.5.6-1.mga5
+ Revision: 672285
- update file list
- 0.5.6

* Fri Aug 29 2014 alexl <alexl> 0.5.5-21.mga5
+ Revision: 669304
- increased lxpanel

* Sun Feb 09 2014 tarakbumba <tarakbumba> 0.5.5-20.mga5
+ Revision: 587706
-Rediff add-mageia-desktop-icons.patch so no longer register.desktop needed
-Require desktop-common-data to get only register.desktop (mga#12667)

* Mon Dec 30 2013 tarakbumba <tarakbumba> 0.5.5-19.mga4
+ Revision: 563369
- Fix again missing drakconf icon (mga#11178)
- Add xkb plugin to default panel layout (mga#9738)
- Rediff patches to be used with %%apply_patches macro (suggested by specfile policy)
- Cleanup specfile and remove obsolete legacy Mandriva conflicts

* Tue Dec 24 2013 tarakbumba <tarakbumba> 0.5.5-18.mga4
+ Revision: 560271
- Rediff desktop-icons.patch (mga#5941)

* Thu Dec 12 2013 malo <malo> 0.5.5-17.mga4
+ Revision: 556457
- fix notification daemon use (mga#11227) (Daniel Napora)

* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-16.mga4
+ Revision: 533785
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 tmb <tmb> 0.5.5-15.mga4
+ Revision: 475415
- fix missing drakconf icon (mga #11178)

  + zezinho <zezinho>
    - fixed patch that add mageia icons at first login by tarekbumba

* Sun Apr 21 2013 zezinho <zezinho> 0.5.5-13.mga3
+ Revision: 410679
- patch to add mageia desktop icons at first login

* Sat Jan 12 2013 umeabot <umeabot> 0.5.5-12.mga3
+ Revision: 359152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 0.5.5-11.mga3
+ Revision: 320014
- use pcmanfm own conf file #6668

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 0.5.5-10.mga3
+ Revision: 260565
- Layout changes in lxpanel standard config

* Sat May 19 2012 obgr_seneca <obgr_seneca> 0.5.5-9.mga2
+ Revision: 235914
- really added volme control to lxpanel (Bug #5935)

* Sun Mar 18 2012 obgr_seneca <obgr_seneca> 0.5.5-8.mga2
+ Revision: 223805
- Do not build noarch or the notification-deamon is not found on i586

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 0.5.5-7.mga2
+ Revision: 220979
- reverted browser to firefox on ennael's request

* Tue Mar 06 2012 zezinho <zezinho> 0.5.5-6.mga2
+ Revision: 220541
- disable xscreensaver till it gets fixed #4391

* Sat Mar 03 2012 obgr_seneca <obgr_seneca> 0.5.5-5.mga2
+ Revision: 217050
- changed customization of lxpanel

* Mon Feb 20 2012 zezinho <zezinho> 0.5.5-4.mga2
+ Revision: 211245
- workaround bug #4391 until xscreensaver is fixed

* Sat Dec 24 2011 obgr_seneca <obgr_seneca> 0.5.5-3.mga2
+ Revision: 187322
- let the notification daemon start on lxde start

  + fwang <fwang>
    - 0.5.5 final
      default to oxygen for openbox
      correct install pcman conf location

* Sun May 01 2011 ahmad <ahmad> 0.5.5-1.git20100721.1.mga1
+ Revision: 94057
+ rebuild (emptylog)

* Sun May 01 2011 ahmad <ahmad> 0.5.5-0.git20110721.6.mga1
+ Revision: 94046
- Fix the drakconf .desktop name (mga#1081)

* Sat Mar 26 2011 ahmad <ahmad> 0.5.5-0.git20110721.5.mga1
+ Revision: 77712
- try again to fix the pcmanfm config file location (maybe I'll get it right
  this time), adding a patch from upstream git
- bump pcmanfm version requires
- drop post/postun scriptles, not needed as they're already handled by rpm
  filetriggers

* Sat Feb 19 2011 ahmad <ahmad> 0.5.5-0.git20110721.3.mga1
+ Revision: 54354
- move LXDE.conf to %%{_datadir}/lxde/pcmanfm/LXDE.conf, this is where startlxde
  expects it to be

* Fri Feb 04 2011 ahmad <ahmad> 0.5.5-0.git20110721.2.mga1
+ Revision: 46986
- we use @prefix@/share/icons/mageia.png now
- default background is going to (hopefully) be @prefix@/share/backgrounds/default.jpg
- drop smproxy requires, old
- change requires to mageia-*
- imported package lxde-common

